Remove files and add TODO.

This commit is contained in:
Jonas Kvinge 2018-03-02 23:22:41 +01:00
parent cefe98736f
commit 9e0b15f249
6 changed files with 8 additions and 1500 deletions

File diff suppressed because it is too large Load Diff

8
TODO Normal file
View File

@ -0,0 +1,8 @@
Strawberry Music Player
=======================
TODO
- Fix freeze on exit caused by GStreamer
- Fix crash when loading playlists from Audio CD
- Improve status/context
- Fix album covers not updating in Cover manager.

View File

@ -1,114 +0,0 @@
#!/bin/sh
sizes="128x128 64x64 48x48 32x32 22x22"
#
for i in full/*
do
source=$i
file=`basename $i`
id=`identify "$i"` || exit 1
if [ "$id" = "" ] ; then
echo "ERROR: Cannot dermine format and geometry for image: \"$i\"."
continue
fi
g=`echo $id | awk '{print $3}'` || exit 1
if [ "$g" = "" ] ; then
echo "ERROR: Cannot dermine geometry for image: \"$i\"."
continue
fi
# Geometry can be 563x144+0+0 or 75x98
# we need to get rid of the plus (+) and the x characters:
w=`echo $g | sed 's/[^0-9]/ /g' | awk '{print $1}'` || exit 1
if [ "$w" = "" ] ; then
echo "ERROR: Cannot dermine width for image: \"$x\"."
continue
fi
h=`echo $g | sed 's/[^0-9]/ /g' | awk '{print $2}'` || exit 1
if [ "$h" = "" ] ; then
echo "ERROR: Cannot dermine height for image: \"$x\"."
continue
fi
for x in $sizes
do
dest="$x/$file"
if [ -f $dest ]; then
continue
fi
x_w=$(echo $x | cut -d 'x' -f1)
x_h=$(echo $x | cut -d 'x' -f2)
if [ "$w" -lt "$x_w" ] || [ "$h" -lt "$x_h" ]; then
continue
fi
echo "convert -verbose -resize $x $source $dest"
convert -verbose -resize $x $source $dest
done
done
for i in $sizes
do
for x in $i/*
do
file=`basename $x`
if ! [ -f "full/$file" ]; then
echo "Warning: full/$file does not exist, but $x exists."
fi
id=`identify "$x"` || exit 1
if [ "$id" = "" ] ; then
echo "ERROR: Cannot dermine format and geometry for image: \"$x\"."
continue
fi
g=`echo $id | awk '{print $3}'` || exit 1
if [ "$g" = "" ] ; then
echo "ERROR: Cannot dermine geometry for image: \"$x\"."
continue
fi
# Geometry can be 563x144+0+0 or 75x98
# we need to get rid of the plus (+) and the x characters:
w=`echo $g | sed 's/[^0-9]/ /g' | awk '{print $1}'` || exit 1
if [ "$w" = "" ] ; then
echo "ERROR: Cannot dermine width for image: \"$x\"."
continue
fi
h=`echo $g | sed 's/[^0-9]/ /g' | awk '{print $2}'` || exit 1
if [ "$h" = "" ] ; then
echo "ERROR: Cannot dermine height for image: \"$x\"."
continue
fi
if ! [ "${h}x${w}" = "$i" ]; then
echo "Warning: $x is not $i, but ${h}x${w}!"
fi
done
done
file="../icons.qrc"
rm -rf "$file"
echo "<RCC>" >>$file
echo "<qresource prefix=\"/\">" >>$file
for i in full $sizes
do
for x in $i/*
do
f=`basename $x`
echo " <file>icons/$i/$f</file>" >>$file
done
done
echo "</qresource>" >>$file
echo "</RCC>" >>$file

21
dist/maketarball.sh vendored
View File

@ -1,21 +0,0 @@
#!/bin/bash
name=strawberry
version="0.1.1"
deb_dist=""
root=$(cd "${0%/*}/.." && echo $PWD/${0##*/})
root=`dirname "$root"`
rootnoslash=`echo $root | sed "s/^\///"`
echo "Creating $name-$version.tar.xz..."
tar -cJf $name-$version.tar.xz \
--transform "s,^$rootnoslash,$name-$version," \
--exclude-vcs \
--exclude "$root/dist/*.tar" \
--exclude "$root/dist/*.tar.*" \
--exclude "$root/CMakeLists.txt.user" \
"$root"
echo "Also creating ${name}_${version}~${deb_dist}.orig.tar.xz..."
cp "$name-$version.tar.xz" "${name}_${version}~${deb_dist}.orig.tar.xz"

87
dist/strawberry.spec vendored
View File

@ -1,87 +0,0 @@
Name: strawberry
Version: 0.1.1
Release: 1.fc13
Summary: A audio player and music collection organiser
Group: Applications/Multimedia
License: GPLv3
URL: http://www.strawbs.org/
Source0: %{name}-0.1.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils liblastfm-devel taglib-devel gettext
BuildRequires: qt5-devel boost-devel gcc-c++ glew-devel libgpod-devel
BuildRequires: cmake gstreamer-devel gstreamer-plugins-base-devel
BuildRequires: libimobiledevice-devel libplist-devel usbmuxd-devel
BuildRequires: libmtp-devel protobuf-devel protobuf-compiler libcdio-devel
BuildRequires: qjson-devel qca2-devel fftw-devel sparsehash-devel
BuildRequires: libchromaprint-devel
Requires: libgpod protobuf-lite libcdio qjson qca-ossl sqlite
# GStreamer codec dependencies
Requires: gstreamer-plugins-ugly
%ifarch x86_64
Requires: gstreamer1.0(decoder-audio/x-vorbis)()(64bit)
Requires: gstreamer1.0(decoder-audio/x-flac)()(64bit)
Requires: gstreamer1.0(decoder-audio/x-speex)()(64bit)
Requires: gstreamer1.0(decoder-audio/x-wav)()(64bit)
%else
Requires: gstreamer1.0(decoder-audio/x-vorbis)
Requires: gstreamer1.0(decoder-audio/x-flac)
Requires: gstreamer1.0(decoder-audio/x-speex)
Requires: gstreamer1.0(decoder-audio/x-wav)
%endif
%description
Strawberry is a modern audio player and music collection organiser.
It is a fork of Clementine. The name is inspired by the band Strawbs.
Features include:
* Organize and play your music collection
* Edit tags on your music
* Download album cover art from Last.fm, musicbrainz, Discogs and Amazon
* Native desktop notifications
* Import and export playlists in multiple formats
* Copy music to your iPod, iPhone, MTP or mass-storage USB player
* Support for multiple backends
%prep
%setup -q -n %{name}-0.1.1
%build
cd bin
%{cmake} .. -DUSE_INSTALL_PREFIX=OFF -DCMAKE_POSITION_INDEPENDENT_CODE=ON
make %{?_smp_mflags}
%install
cd bin
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/share/icons/ubuntu-mono-{dark,light}/apps/24/strawberry-panel*.png
%clean
cd bin
make clean
%files
%defattr(-,root,root,-)
%doc
%{_bindir}/strawberry
%{_bindir}/strawberry-tagreader
%{_datadir}/applications/strawberry.desktop
%{_datadir}/strawberry/projectm-presets
%{_datadir}/kde4/services/strawberry-itms.protocol
%{_datadir}/kde4/services/strawberry-itpc.protocol
%{_datadir}/kde4/services/strawberry-feed.protocol
%{_datadir}/kde4/services/strawberry-zune.protocol
%{_datadir}/icons/hicolor/64x64/apps/strawberry.png
%{_datadir}/icons/hicolor/128x128/apps/strawberry.png
%{_datadir}/icons/hicolor/scalable/apps/strawberry.svg
%changelog
* fr. mars 02 2018 0.1.1
- Version 0.1.1

View File

@ -1,12 +0,0 @@
#!/bin/sh
for f in `find .`
do
file=$(basename $f)
grep -i $file CMakeLists.txt >/dev/null 2>&1
#echo $?
if [ $? -eq 0 ]; then
continue
fi
echo "$file not in CMakeLists.txt"
done